class quickstack::load_balancer::horizon (
  $frontend_pub_host,
  $frontend_priv_host,
  $frontend_admin_host,
  $backend_server_names,
  $backend_server_addrs,
  $port = '80',
  $mode = 'http',
  $log = 'httplog',
) {

  include quickstack::load_balancer::common

  quickstack::load_balancer::proxy { 'horizon':
    addr                 => [ $frontend_pub_host,
                              $frontend_priv_host,
                              $frontend_admin_host ],
    port           => "$port",
    mode           => "$mode",
    listen_options => {
      'option'     => [ "$log" ],
      'cookie'     => 'SERVERID insert indirect nocache',
    },
    member_options       => [ 'check' ],
    define_cookies       => true,
    backend_server_addrs => $backend_server_addrs,
    backend_server_names => $backend_server_names,
  }
}
